<?php
/**
 * chart_view.php - View file for displaying a flash chart
 *
 * @author $Author: dtong $
 * @version $Id: chart_view.php,v 1.4 2009/07/29 10:28:45 dtong Exp $
 * @copyright Copyright (c) 2009, Tiller Software Co., Ltd.
*/
//Can add more jscript
if (!isset($add_js))
	$add_js='';
?>
<center>
<div style="width:95%;font-size:12px">
<div class="map_pietitle"><?php echo $title;?></div>
<?php
	if ( $count <= 0 ) {
		echo '<div class="map_pienochart">' . lang('map_nographmsg') . '</div>';
	}
	else {
?>
<div class="map_piechart">
<div id="<?php echo $chart->data->divid;?>"></div>
</div>
<?php } ?>
<?php
	if ( count($nodata_options)>0 ) {
		echo "<br />$nodata_title:<br /><br />";
		foreach ($nodata_options as $item) {
			echo "$item<br />";
		}
	}
?>
</div>
<div style="margin:12px"></div>
<input type="button" value="<?php echo lang('map_close');?>"
	onclick="closeDhtmlWindow('<?php echo $divid;?>');<?php echo $add_js;?>"
	<?php osa_btn();?> />
</center>